Skip to content
BleemeoBleemeo

Update a notification rule

PUT
/v1/notificationrule/{id}/
curl --request PUT \
--url https://example.com/v1/notificationrule/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "agent": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "agent_offline": true, "agent_tag": "example", "contacts_groups": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "custom_grace_period": 1, "enabled": true, "metric_item": "example", "metric_label": "example", "metric_labels_text": "example", "name": "example", "recording_rule": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "repeatable_delay": 1, "server_group": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "targets": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "on_call_schedules": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ] }'

Replace all fields of an existing notification rule.

id
required
string format: uuid

A UUID string identifying this notification rule.

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
agent
string format: uuid
nullable
agent_offline
boolean
agent_tag
string
nullable
contacts_groups
Array<string>
created_at
required
string format: date-time
created_by
required
string format: uuid
nullable
custom_grace_period

Custom grace period in seconds

integer
nullable <= 300
enabled
boolean
id
required
string format: uuid
metric_item
string
nullable
metric_label
string
nullable <= 100 characters
metric_labels_text
string
nullable
metric_display_name
required
string
modified_at
required
string format: date-time
modified_by
required
string format: uuid
nullable
name
string
<= 100 characters
recording_rule
string format: uuid
nullable
repeatable_delay

Delay in minutes to repeat notification

integer
<= 2147483647
server_group
string format: uuid
nullable
targets
Array<string>
on_call_schedules
Array<string>
Examplegenerated
{
"agent": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"agent_offline": true,
"agent_tag": "example",
"contacts_groups": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
],
"custom_grace_period": 1,
"enabled": true,
"metric_item": "example",
"metric_label": "example",
"metric_labels_text": "example",
"name": "example",
"recording_rule": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"repeatable_delay": 1,
"server_group": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"targets": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
],
"on_call_schedules": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
]
}
Media typeapplication/json

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
agent
string format: uuid
nullable
agent_offline
boolean
agent_tag
string
nullable
contacts_groups
Array<string>
created_at
required
string format: date-time
created_by
required
string format: uuid
nullable
custom_grace_period

Custom grace period in seconds

integer
nullable <= 300
enabled
boolean
id
required
string format: uuid
metric_item
string
nullable
metric_label
string
nullable <= 100 characters
metric_labels_text
string
nullable
metric_display_name
required
string
modified_at
required
string format: date-time
modified_by
required
string format: uuid
nullable
name
string
<= 100 characters
recording_rule
string format: uuid
nullable
repeatable_delay

Delay in minutes to repeat notification

integer
<= 2147483647
server_group
string format: uuid
nullable
targets
Array<string>
on_call_schedules
Array<string>
Examplegenerated
{
"agent": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"agent_offline": true,
"agent_tag": "example",
"contacts_groups": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
],
"custom_grace_period": 1,
"enabled": true,
"metric_item": "example",
"metric_label": "example",
"metric_labels_text": "example",
"name": "example",
"recording_rule": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"repeatable_delay": 1,
"server_group": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"targets": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
],
"on_call_schedules": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
]
}